%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-deployment
Version:          2.0.0
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss OSGi Deployment
License:          LGPLv2+
URL:              http://community.jboss.org/wiki/JBossOSGi
Source0:          https://github.com/jbosgi/jbosgi-deployment/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jbosgi-spi
BuildRequires:    jbosgi-vfs
BuildRequires:    jboss-logging
BuildRequires:    eclipse-equinox-osgi

%description
This package contains the JBoss OSGi deployment support.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_dep "org.osgi:org.osgi.core"
%pom_add_dep "org.eclipse:osgi"

%build
# jbosgi-testing not available
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 541871
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.0.0-1.mga4
+ Revision: 496439
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.12-4.mga3
+ Revision: 354891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.12-3.mga3
+ Revision: 331726
- imported package jbosgi-deployment


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.12-2
- Fixed BR/R

* Fri Jun 08 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.12-1
- Initial packaging

